Show / Hide Table of Contents

# Class WindowSystem

Class running a WindowSystem using Window implementations to simplify ImGui windowing.

##### Inheritance

System.Object
WindowSystem

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Dalamud.Interface.Windowing

###### Assembly: Dalamud.dll

##### Syntax

    public class WindowSystem

### Constructors

| Improve this Doc View Source

#### WindowSystem(String)

Initializes a new instance of the WindowSystem class.

##### Declaration

    public WindowSystem(string imNamespace = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | imNamespace | The name/ID-space of this WindowSystem.

### Properties

| Improve this Doc View Source

#### Namespace

Gets or sets the name/ID-space of this WindowSystem.

##### Declaration

    public string Namespace { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### AddWindow(Window)

Add a window to this WindowSystem.

##### Declaration

    public void AddWindow(Window window)

##### Parameters

Type | Name | Description
--- | --- | ---
Window | window | The window to add.

| Improve this Doc View Source

#### Draw()

Draw all registered windows using ImGui.

##### Declaration

    public void Draw()

| Improve this Doc View Source

#### RemoveAllWindows()

Remove all windows from this WindowSystem.

##### Declaration

    public void RemoveAllWindows()

| Improve this Doc View Source

#### RemoveWindow(Window)

Remove a window from this WindowSystem.

##### Declaration

    public void RemoveWindow(Window window)

##### Parameters

Type | Name | Description
--- | --- | ---
Window | window | The window to remove.